Name: 		pam_usb
Version: 	0.5.0
Release: 	1.2
Source: 	%{name}-%{version}.tar.bz2
Group: 		System
License: 	LGPL
Url: 		http://www.pamusb.org/
BuildRoot: 	%{_tmppath}/%{name}-%{version}-build
Summary: 	A PAM Module for authentication with USB devices
%if 0%{?suse_version}
BuildRequires:	dbus-1-devel
%else
BuildRequires:	dbus-devel
%endif
BuildRequires:	libxml2-devel pam-devel pkgconfig
Requires:	python
Requires:	pmount

%description
am_usb is a PAM module that enables authentication using an USB-Storage device
(such as an USB Pen) through DSA private/public keys.

It can be setup to work with any application using PAM such as your system 
login (login), your X login (XDM/KDM/GDM/...), your screensaver (xscreensaver/...), 
and many others. 

It supports multiple users for the same device, multiple hostnames for the same
user, serial numbers access list and private key encryption.

pam_usb comes along usbadm, a tool which helps managing users and keys.


%postun

%prep

%setup

%post
echo "ATTENTION: Please read documentation in %{_docdir}%{name} !!!"

%build
%{__make}

%install
mkdir -p $RPM_BUILD_ROOT/lib/security
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1
mkdir -p $RPM_BUILD_ROOT/%{_docdir}/%{name}
make install DESTDIR=$RPM_BUILD_ROOT
install -m 644 COPYING ChangeLog $RPM_BUILD_ROOT/%{_docdir}/%{name}/
mv $RPM_BUILD_ROOT/%{_prefix}/share/doc/pamusb $RPM_BUILD_ROOT/%{_docdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT/*
rm -rf $RPM_BUILD_DIR/%{name}

%files
%defattr(-,root,root)
/lib/security/*
%{_bindir}/*
%{_sysconfdir}/pamusb.conf
%{_mandir}/man*/*
%dir %{_docdir}/%{name}
%{_docdir}/%{name}/*

%changelog
* Sun Apr 24 2011 Carsten Schoene <cs@linux-administrator.com> - 0.5.0-1
- update to version 0.5.0

* Sun Feb 17 2008 Carsten Schoene <cs@linux-administrator.com>
- version changed to 0.4.2
 - reworked spec (filelist, macros ...)

* Tue Oct 25 2005 Carsten Schoene <cs@linux-administrator.com>
- version bump to final 0.3.3
* Thu Oct 20 2005 Carsten Schoene <cs@linux-administrator.com>
- new build with pre2
* Wed Oct 19 2005 Carsten Schoene <cs@linux-administrator.com>
- packaged the 0.3.3pre for SuSE 10.0
* Sat Apr 09 2005 Carsten Schoene <cs@linux-administrator.com>
- rebuild for SuSE 9.3
* Wed Jan 12 2005 Carsten Schoene <cs@linux-administrator.com>
- version bump to final 0.3.2
* Thu Jan 06 2005 Carsten Schoene <cs@linux-administrator.com>
- version bump to 0.3.2pre0
* Wed Oct 27 2004 Carsten Schoene <cs@linux-administrator.com>
- rebuild for SuSE 9.2

